Index: /mods/wpsg_mod_export.class.php
===================================================================
--- /mods/wpsg_mod_export.class.php	(revision 7799)
+++ /mods/wpsg_mod_export.class.php	(revision 7804)
@@ -2092,197 +2095,199 @@
                     
                     break;*/
-				case 'produkt_typ': $return = $produkt['typ']; break;
-				case 'produkt_preis': // Brutto Preis im Produkt
-					
-					if ($this->shop->getBackendTaxview() == WPSG_BRUTTO)
-						$return = number_format($produkt['preis'], 2, ',', '.');
-					else 
-						$return = number_format($produkt['preis'] + $produkt['mwst_value'], 2, ',', '.');
-										
-					break;
-					
-				case 'produkt_preis_brutto':
-					
-					$return = $oProduct->getPrice(false, WPSG_BRUTTO);
-					
-					break;
-                					
-				case 'produkt_preis_netto': // Netto Preis im Produkt
-					
-					$return = $oProduct->getPrice(false, WPSG_NETTO); 
-					
-					break;
-				
-				case 'product_preis_order': // Brutto Preis aus bestelltem Produkt
-					
-					$return = number_format($produkt['price'], 2, ',', '.');
-					break;
-					
-				case 'product_preis_order_netto':
-					
-					$return = number_format($produkt['price'] - $produkt['mwst_value'], 2, ',', '.');
-					break;
-				
-				case 'produkt_mwst': $return = $produkt['mwst_key']; break;
-				case 'produkt_mwst_satz': $return = wpsg_ff($oFrontendCountry->getTax($produkt['mwst_key'])); break;
-				case 'produkt_mwst_value': $return = wpsg_ff($oProduct->getPrice(false, WPSG_BRUTTO) - $oProduct->getPrice(false, WPSG_NETTO)); break;
-				 				
-				// case 'produkt_picture_link': $return = $produktbild['url']; break; 
-							
-				// case 'produkt_shippingprice': $return = $produkt['shippingprice']; break;
-				
-				case 'produkt_order_mwst_value': $return = wpsg_ff($produkt['mwst_value'] * $produkt['menge']); break;
-				
-				case 'produkt_feinheit': $return = $produkt['feinheit']; break;
-				case 'produkt_fmenge': $return = $produkt['fmenge']; break;
-				case 'produkt_beschreibung': $return = $produkt['beschreibung']; break;
-				case 'produkt_weight': $return = $produkt['weight']; break;
-				case 'produkt_stock': $return = $produkt['stock']; break;
-                case 'product_stock_state': 
-                    
+                case 'produkt_typ': $return = $produkt['typ']; break;
+                case 'produkt_preis': // Brutto Preis im Produkt
+
+                    if ($this->shop->getBackendTaxview() == WPSG_BRUTTO)
+                        $return = number_format($produkt['preis'], 2, ',', '.');
+                    else
+                        $return = number_format($produkt['preis'] + $produkt['mwst_value'], 2, ',', '.');
+
+                    break;
+
+                case 'produkt_preis_brutto':
+
+                    $return = $oProduct->getPrice(false, WPSG_BRUTTO);
+
+                    break;
+
+                case 'produkt_preis_netto': // Netto Preis im Produkt
+
+                    $return = $oProduct->getPrice(false, WPSG_NETTO);
+
+                    break;
+
+                case 'product_preis_order': // Brutto Preis aus bestelltem Produkt
+
+                    $return = number_format($produkt['price'], 2, ',', '.');
+                    break;
+
+                case 'product_preis_order_netto':
+
+                    $return = number_format($produkt['price'] - $produkt['mwst_value'], 2, ',', '.');
+                    break;
+
+                case 'produkt_mwst': $return = $produkt['mwst_key']; break;
+                case 'produkt_mwst_satz': $return = wpsg_ff($oFrontendCountry->getTax($produkt['mwst_key'])); break;
+                case 'produkt_mwst_value': $return = wpsg_ff($oProduct->getPrice(false, WPSG_BRUTTO) - $oProduct->getPrice(false, WPSG_NETTO)); break;
+
+                // case 'produkt_picture_link': $return = $produktbild['url']; break; 
+
+                // case 'produkt_shippingprice': $return = $produkt['shippingprice']; break;
+
+                case 'produkt_order_mwst_value': $return = wpsg_ff($produkt['mwst_value'] * $produkt['menge']); break;
+
+                case 'produkt_feinheit': $return = $produkt['feinheit']; break;
+                case 'produkt_fmenge': $return = $produkt['fmenge']; break;
+                case 'produkt_beschreibung': $return = $produkt['beschreibung']; break;
+                case 'produkt_longdescription': $return = $produkt['longdescription']; break;
+                case 'produkt_moreinfos': $return = $produkt['moreinfos']; break;
+                case 'produkt_moreinfos2': $return = $produkt['moreinfos2']; break;
+                case 'produkt_weight': $return = $produkt['weight']; break;
+                case 'produkt_stock': $return = $produkt['stock']; break;
+                case 'product_stock_state':
+
                     $return = ((wpsg_isSizedInt($produkt['stock']))?__('auf Lager', 'wpsg'):__('nicht auf Lager', 'wpsg'));
 
                     break;
-				case 'produkt_anr': $return = $produkt['anr']; break;
-				case 'produkt_menge': $return = $produkt['menge']; break;
-				case 'produkt_ean': $return = $produkt['ean']; break;
-				case 'produkt_gtin': $return = $produkt['gtin']; break;
-				
-				case 'kunde_id': $return = @$kunde['id']; break;
-				case 'kunde_nr': $return = $kunde['knr']; break;
-				
+                case 'produkt_anr': $return = $produkt['anr']; break;
+                case 'produkt_menge': $return = $produkt['menge']; break;
+                case 'produkt_ean': $return = $produkt['ean']; break;
+                case 'produkt_gtin': $return = $produkt['gtin']; break;
+
+                case 'kunde_id': $return = @$kunde['id']; break;
+                case 'kunde_nr': $return = $kunde['knr']; break;
+
                 case 'kunde_title': $return = $oCustomer->getTitle(); break;
                 case 'kunde_firma': $return = $oCustomer->getCompany(); break;
-				case 'kunde_vorname': $return = $oCustomer->getFirstname(); break;         
-                case 'kunde_name': $return = $oCustomer->getName(); break;				
-				case 'kunde_strasse': $return = $oCustomer->getStreet(); break;
+                case 'kunde_vorname': $return = $oCustomer->getFirstname(); break;
+                case 'kunde_name': $return = $oCustomer->getName(); break;
+                case 'kunde_strasse': $return = $oCustomer->getStreet(); break;
                 case 'kunde_strasse_strasse': $return = $oCustomer->getStreetClear(); break;
                 case 'kunde_strasse_nr': $return = $oCustomer->getStreetNr(); break;
-				case 'kunde_ort': $return = $oCustomer->getCity(); break;
-				case 'kunde_plz': $return = $oCustomer->getZip(); break;
-				case 'kunde_land': $return = $oCustomer->getCountryName(); break;
-				case 'kunde_land_krzl': $return = $oCustomer->getCountryKuerzel(); break;
-				case 'kunde_tel': $return = $oCustomer->getPhone(); break;
-				case 'kunde_fax': $return = $oCustomer->getFax(); break;
-				
-                case 'kunde_email': $return = @$kunde['email']; break;		
-				case 'kunde_ustid': $return = @$kunde['ustidnr']; break;
-				case 'kunde_geb': 
-
-					if (strtotime($kunde['geb']) !== false)
-					{
-						$return = date('d.m.Y H:i:s', strtotime($kunde['geb']));
-					}
-					else
-					{
-						$return = '--';
-					} 
-					
-					break;			
-				
-				default:
-
-					if (preg_match('/ov_\d+/', $field_value))
-					{
-
-						// Bestellvariable
-						$ordervarid = substr($field_value, 3);
-						$return = $order['bvars'][$ordervarid];
-						
-					}
-					else if (preg_match('/pv_\d+/', $field_value))
-					{
-						 
-						$produktvarid = substr($field_value, 3);
-						 
-						// Produktvariable (index kann auch 0 sein)
-						if (isset($order['pvars'][$product_index]))
-						{
-							
-							$return = $order['pvars'][$product_index][$produktvarid];
-							
-						}
-						else
-						{
-							
-							// AbwÃ€rtskompatibilitÃ€t < 3.5.1 
-							if ($produkt['mod_vp_varkey'] != '')
-							{
-								$produkt_key = $produkt['mod_vp_varkey'];
-							}
-							else
-							{
-								$produkt_key = $produkt['id'];
-							}
-
-							$return = $order['pvars'][$produkt_key][$produktvarid];
-							
-						}
-					 
-					}
-					else if (preg_match('/pa_\d+/', $field_value))
-					{
-						
-						// Produktattribute
-						$paid = substr($field_value, 3);
-						$return = $produkt['mod_attribute'][$paid];
-						
-					}
-					else if (preg_match('/kv_\d+/', $field_value))
-					{
-						
-						// Kundenvariable
-						$kvid = substr($field_value, 3);
-						$return = $kunde['kv'][$kvid];
-						
-					}
-					else
-					{
-						
-						$return = false;						
-						$this->shop->callMods('wpsg_mod_export_getValue', array(&$return, $field_value, $o_id, $p_id, $productkey, $product_index, $profil_separator));
-						
-						if ($return === false)
-						{
-						
-							$return = __('Nicht definiert ('.$field_value.') !', 'wpsg');
-							
-						}
-						
-					}
-				
-			}  
-			
-			$f['size'] = 111255;
-			
-			if (wpsg_isSizedInt($f['trim'])) $return = preg_replace('/\040/', '', $return);
-			
-			if (isset($f['format']) && $f['format'] > 0 && $return != '--')
-			{
-				
-				switch ($f['format'])
-				{
-					
-					case 100: $return = number_format(floatval(wpsg_tf($return)), 2, '.', ''); break;
-					case 200: $return = number_format(floatval(wpsg_tf($return)), 2, ',', ''); break;
-					case 300: $reutrn = wpsg_ff(wpsg_tf($return), $this->shop->get_option('wpsg_currency')); break;
-					case 400: $return = date('d.m.Y', strtotime($return)); break;
-					case 500: $return = date('H:i:s', strtotime($return)); break;
-					case 600: $return = date('d.m.Y H:i:s', strtotime($return)); break;					
-					case 700: $return = strftime($this->shop->replaceUniversalPlatzhalter($f['userformat'], $order['id'], $kunde['id'], false, $p_id), strtotime($return)); break;
-					case 800: $return = '"'.$return.'"'; break;
-					case 900: $return = '"=""'.$return.'"""'; break;
-					
-				}
-				
-			}
-						
-			$return = substr($return, 0, intval($f['size'])); 
-			
-			return $return;
-			
-		} // public function getValue($field_value, $o_id, $p_id = false)
-		
-	} // wpsg_mod_export extends wpsg_mod_basic
-
-?>
+                case 'kunde_ort': $return = $oCustomer->getCity(); break;
+                case 'kunde_plz': $return = $oCustomer->getZip(); break;
+                case 'kunde_land': $return = $oCustomer->getCountryName(); break;
+                case 'kunde_land_krzl': $return = $oCustomer->getCountryKuerzel(); break;
+                case 'kunde_tel': $return = $oCustomer->getPhone(); break;
+                case 'kunde_fax': $return = $oCustomer->getFax(); break;
+
+                case 'kunde_email': $return = @$kunde['email']; break;
+                case 'kunde_ustid': $return = @$kunde['ustidnr']; break;
+                case 'kunde_geb':
+
+                    if (strtotime($kunde['geb']) !== false)
+                    {
+                        $return = date('d.m.Y H:i:s', strtotime($kunde['geb']));
+                    }
+                    else
+                    {
+                        $return = '--';
+                    }
+
+                    break;
+
+                default:
+
+                    if (preg_match('/ov_\d+/', $field_value))
+                    {
+
+                        // Bestellvariable
+                        $ordervarid = substr($field_value, 3);
+                        $return = $order['bvars'][$ordervarid];
+
+                    }
+                    else if (preg_match('/pv_\d+/', $field_value))
+                    {
+
+                        $produktvarid = substr($field_value, 3);
+
+                        // Produktvariable (index kann auch 0 sein)
+                        if (isset($order['pvars'][$product_index]))
+                        {
+
+                            $return = $order['pvars'][$product_index][$produktvarid];
+
+                        }
+                        else
+                        {
+
+                            // AbwÃ€rtskompatibilitÃ€t < 3.5.1 
+                            if ($produkt['mod_vp_varkey'] != '')
+                            {
+                                $produkt_key = $produkt['mod_vp_varkey'];
+                            }
+                            else
+                            {
+                                $produkt_key = $produkt['id'];
+                            }
+
+                            $return = $order['pvars'][$produkt_key][$produktvarid];
+
+                        }
+
+                    }
+                    else if (preg_match('/pa_\d+/', $field_value))
+                    {
+
+                        // Produktattribute
+                        $paid = substr($field_value, 3);
+                        $return = $produkt['mod_attribute'][$paid];
+
+                    }
+                    else if (preg_match('/kv_\d+/', $field_value))
+                    {
+
+                        // Kundenvariable
+                        $kvid = substr($field_value, 3);
+                        $return = $kunde['kv'][$kvid];
+
+                    }
+                    else
+                    {
+
+                        $return = false;
+                        $this->shop->callMods('wpsg_mod_export_getValue', array(&$return, $field_value, $o_id, $p_id, $productkey, $product_index, $profil_separator));
+
+                        if ($return === false)
+                        {
+
+                            $return = __('Nicht definiert ('.$field_value.') !', 'wpsg');
+
+                        }
+
+                    }
+
+            }
+
+            $f['size'] = 111255;
+
+            if (wpsg_isSizedInt($f['trim'])) $return = preg_replace('/\040/', '', $return);
+
+            if (isset($f['format']) && $f['format'] > 0 && $return != '--')
+            {
+
+                switch ($f['format'])
+                {
+
+                    case 100: $return = number_format(floatval(wpsg_tf($return)), 2, '.', ''); break;
+                    case 200: $return = number_format(floatval(wpsg_tf($return)), 2, ',', ''); break;
+                    case 300: $reutrn = wpsg_ff(wpsg_tf($return), $this->shop->get_option('wpsg_currency')); break;
+                    case 400: $return = date('d.m.Y', strtotime($return)); break;
+                    case 500: $return = date('H:i:s', strtotime($return)); break;
+                    case 600: $return = date('d.m.Y H:i:s', strtotime($return)); break;
+                    case 700: $return = strftime($this->shop->replaceUniversalPlatzhalter($f['userformat'], $order['id'], $kunde['id'], false, $p_id), strtotime($return)); break;
+                    case 800: $return = '"'.$return.'"'; break;
+                    case 900: $return = '"=""'.$return.'"""'; break;
+
+                }
+
+            }
+
+            $return = substr($return, 0, intval($f['size']));
+
+            return $return;
+
+        } // public function getValue($field_value, $o_id, $p_id = false)
+
+    } // wpsg_mod_export extends wpsg_mod_basic
+
Index: /mods/wpsg_mod_productvariants.class.php
===================================================================
--- /mods/wpsg_mod_productvariants.class.php	(revision 7799)
+++ /mods/wpsg_mod_productvariants.class.php	(revision 7804)
@@ -1424,6 +1424,5 @@
 		}	// private function setStockFromVariation($product_id)
 
-		private function admin_inlineEditAction()
-		{
+		private function admin_inlineEditAction() {
 
 			$_REQUEST['field'] = wpsg_sinput("text_field", $_REQUEST['field']);
Index: /views/js/editable.js
===================================================================
--- /views/js/editable.js	(revision 7799)
+++ /views/js/editable.js	(revision 7804)
@@ -25,4 +25,7 @@
 
             if (typeof options.type == "string") opt['type'] = options.type;
+			if (typeof options.type == "format") opt['format'] = options.format;
+			if (typeof options.type == "viewformat") opt['viewformat'] = options.viewformat;
+			if (typeof options.type == "template") opt['template'] = options.template;
 
 			if (options.type == "select" && Array.isArray(options.data))
Index: /views/mods/mod_abo/order_view.phtml
===================================================================
--- /views/mods/mod_abo/order_view.phtml	(revision 7799)
+++ /views/mods/mod_abo/order_view.phtml	(revision 7804)
@@ -5,12 +5,48 @@
      */
     
+    $view = $this->view['wpsg_mod_abo'];
     
 ?>
-      
+       
 <?php foreach ($this->view['arOrderedAboProducts'] as $oOrderProduct) { ?>
 
     <?php echo wpsg_drawForm_AdminboxStart($oOrderProduct->getProduct()->getProductName()); ?>
 
-        <?php $tExpire = strtotime($this->callMod('wpsg_mod_abo', 'getOrderAboExpiration', Array($_REQUEST['edit_id'], $oOrderProduct->getProductKey()))); echo wpsg_drawForm_Text(__('Laufzeit', 'wpsg'), wpsg_formatTimestamp($tExpire), false, Array('class_content_wrap' => (($tExpire > time())?'wpsg_mod_abo_future_expire':'wpsg_mod_abo_expired'))); ?>
+        <?php $tExpire = strtotime($this->callMod('wpsg_mod_abo', 'getOrderAboExpiration', Array($_REQUEST['edit_id'], $oOrderProduct->getProductKey()))); ?>
+		<?php echo wpsg_drawForm_Text(__('Laufzeit', 'wpsg'), wpsg_formatTimestamp($tExpire), 'wpsg_mod_abo_duration', Array('class_content_wrap' => (($tExpire > time())?'wpsg_mod_abo_future_expire':'wpsg_mod_abo_expired'))); ?>
+	
+		<script>
+
+            moment.locale('de');
+			
+            jQuery('#wpsg_mod_abo_duration').editable({
+				type: 'combodate',
+                success: function(response, newValue) {
+				    
+					jQuery.ajax({
+                        url: '<?php echo WPSG_URL_WP; ?>wp-admin/admin.php?page=wpsg-Admin&action=module&modul=wpsg_mod_abo&subaction=admin_inlineEdit&noheader=1',
+						data: {
+                            field: 'duration',
+							product_key: '<?php echo $oOrderProduct->getProductKey(); ?>',
+							order_id: '<?php echo $view['oOrder']->getId() ?>',
+							date: newValue.format()
+                        },
+						success: function(response) {
+                             
+						}
+					})
+				    
+                },
+                format: 'DD.MM.YYYY HH:mm:ss',
+                viewformat: 'DD.MM.YYYY HH:mm:ss',
+                template: 'D MMM YYYY  HH:mm:ss',
+                combodate: {
+                    minYear: 2000,
+                    maxYear: <?php echo (intval(date('Y')) + 1); ?>,
+                    minuteStep: 1
+                }
+            }); 
+			
+		</script>
 
         <?php echo wpsg_drawForm_Text(wpsg_translate(__('Preis (#1# Tage):', 'wpsg'), $oOrderProduct->getProduct()->wpsg_mod_abo_durration), wpsg_ff($oOrderProduct->getProduct()->wpsg_mod_abo_price, $this->get_option('wpsg_currency'))); ?>
